# SolrDisMaxQuery::addUserField

(No version information available, might only be in Git)

SolrDisMaxQuery::addUserField — Adds a field to User Fields Parameter (uf)

### 说明

public SolrDisMaxQuery::addUserField(string `$field`): SolrDisMaxQuery

Adds a field to The User Fields Parameter (uf)

### 参数

`field`

  Field Name

### 返回值

SolrDisMaxQuery

### 示例

示例 #1 SolrDisMaxQuery::addUserField() example

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$dismaxQuery
->addUserField('cat')
->addUserField('text')
->addUserField('*_dt');
echo $dismaxQuery.PHP_EOL;
?>`

以上示例的输出类似于：

    q=lucene&defType=edismax&uf=cat text *_dt

### 参见

- SolrDisMaxQuery::removeUserField() - Removes a field from The User Fields Parameter (uf)
- SolrDisMaxQuery::setUserFields() - Sets User Fields parameter (uf)

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open